
QGIS Application - Bug report #4646

Editing of table of attributes goes Wild

2011-12-14 04:26 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 14544

Description

The issue has been pointed by many in the last days, as Paolo and Maxim in the dev mailing list

This screencast by Maxim shows very well the issue

http://screencast.com/t/V9APNmkz1

Associated revisions

Revision 06aeb148 - 2011-12-23 09:07 PM - Jürgen Fischer

fix #4646

Revision 5c7f8173 - 2011-12-25 03:05 PM - Jürgen Fischer

fix #4646

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-17 03:34 PM - Jürgen Fischer

not reproducable here - what's special about your datasets (or mine)?  Please make a testcase available that you can reproduce the problem with.

#3 - 2011-12-19 04:22 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to worksforme

Woks for me now, unclear why.

#4 - 2011-12-19 04:30 AM - Giovanni Manghi

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback
I don't know if Maxim can confirm that is ok. Let's wait his feedback.

#5 - 2011-12-19 05:40 AM - Giovanni Manghi

Jürgen Fischer wrote:

not reproducable here - what's special about your datasets (or mine)?  Please make a testcast available that you can reproduce the problem with.

I can easily replicate the issue, but the table of attributes MUST be docked. If it is not docked it seems to work fine.

#6 - 2011-12-19 05:48 AM - Giovanni Manghi

Giovanni Manghi wrote:

Jürgen Fischer wrote:

not reproducable here - what's special about your datasets (or mine)?  Please make a testcast available that you can reproduce the problem with.

I can easily replicate the issue, but the table of attributes MUST be docked. If it is not docked it seems to work fine.

the same seems to happen for #4451

#7 - 2011-12-22 10:18 AM - Jürgen Fischer

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

does commit:5a2be18f also fix this?

#8 - 2011-12-22 10:19 AM - Jürgen Fischer

- Crashes QGIS or corrupts data changed from No to Yes

#9 - 2011-12-23 01:17 AM - Giovanni Manghi

Jürgen Fischer wrote:

does commit:5a2be18f also fix this?

Hi Jurgen,

I just updated my qgis-master installation with the nightly build repo.

The problem still there, and in the end it is not related if the table of attributes is docked or not.

See the following screencast
http://ubuntuone.com/4QyHKfYTd1s6JHyxy61n7X

the layer is a PostGIS one, and it doesn't seem to happen with shapefiles.

If you reload the layer the data looks ok, so I won't classify it as "causes data corruption" nevertheless is very confusing for users. Same thing for #4451.

#10 - 2011-12-23 09:01 AM - Jürgen Fischer

Giovanni Manghi wrote:

Jürgen Fischer wrote:

does commit:5a2be18f also fix this?

the layer is a PostGIS one, and it doesn't seem to happen with shapefiles.

Please provide a test case.

#11 - 2011-12-23 09:36 AM - Giovanni Manghi

Please provide a test case.

do you mean a sample? Try the line vector you'll find here:

host: mapserver.uevora.pt

db: ue_publico

username/password: ue

Then just try fill manually the table of attributes jumping from one cell to another with the "tab" key.

#12 - 2011-12-23 12:07 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"06aeb148a77f301d7a3f9524f28f6eaf116cf8f5".
